Package org.apache.maven.scm.providers.cvslib.settings

## Class Settings

- java.lang.Object
- - org.apache.maven.scm.providers.cvslib.settings.Settings

All Implemented Interfaces:
  `java.io.Serializable`

    public class Settings
    extends java.lang.Object
    implements java.io.Serializable

Class Settings.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Settings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCvsVariable​(java.lang.String key, java.lang.String value)` Method addCvsVariable.
`java.lang.String` `getChangeLogCommandDateFormat()` Get date format allowed by changelog command.
`int` `getCompressionLevel()` Get sets the compression level on communications with the server? If you don't want to use compression, set it to 0.
`java.util.Properties` `getCvsVariables()` Method getCvsVariables.
`java.lang.String` `getModelEncoding()` Get the modelEncoding field.
`java.lang.String` `getTemporaryFilesDirectory()` Get stores any temporary files in DIR instead of wherever CVS normally puts them (specifically, this overrides the value of the $TMPDIR environment variable, if any exists).
`boolean` `isTraceCvsCommand()` Get traces the execution of a CVS command.
`boolean` `isUseCvsrc()` Get do you want to use .cvsrc file?
`boolean` `isUseForceTag()` Get move tag if it already exists.
`void` `setChangeLogCommandDateFormat​(java.lang.String changeLogCommandDateFormat)` Set date format allowed by changelog command.
`void` `setCompressionLevel​(int compressionLevel)` Set sets the compression level on communications with the server? If you don't want to use compression, set it to 0.
`void` `setCvsVariables​(java.util.Properties cvsVariables)` Set this sets internal CVS variables.
`void` `setModelEncoding​(java.lang.String modelEncoding)` Set the modelEncoding field.
`void` `setTemporaryFilesDirectory​(java.lang.String temporaryFilesDirectory)` Set stores any temporary files in DIR instead of wherever CVS normally puts them (specifically, this overrides the value of the $TMPDIR environment variable, if any exists).
`void` `setTraceCvsCommand​(boolean traceCvsCommand)` Set traces the execution of a CVS command.
`void` `setUseCvsrc​(boolean useCvsrc)` Set do you want to use .cvsrc file?
`void` `setUseForceTag​(boolean useForceTag)` Set move tag if it already exists.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Settings

    public Settings()

### Method Detail

#### addCvsVariable

    public void addCvsVariable​(java.lang.String key,
                               java.lang.String value)

Method addCvsVariable.

Parameters:
  `key` -
  `value` -

#### getChangeLogCommandDateFormat

    public java.lang.String getChangeLogCommandDateFormat()

Get date format allowed by changelog command.

Returns:
  String

#### getCompressionLevel

    public int getCompressionLevel()

Get sets the compression level on communications with the server? If you don't want to use compression, set it to 0.

Returns:
  int

#### getCvsVariables

    public java.util.Properties getCvsVariables()

Method getCvsVariables.

Returns:
  Properties

#### getModelEncoding

    public java.lang.String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### getTemporaryFilesDirectory

    public java.lang.String getTemporaryFilesDirectory()

Get stores any temporary files in DIR instead of wherever CVS normally puts them (specifically, this overrides the value of the $TMPDIR environment variable, if any exists). It should be an absolute path.

Returns:
  String

#### isTraceCvsCommand

    public boolean isTraceCvsCommand()

Get traces the execution of a CVS command.

Returns:
  boolean

#### isUseCvsrc

    public boolean isUseCvsrc()

Get do you want to use .cvsrc file?

Returns:
  boolean

#### isUseForceTag

    public boolean isUseForceTag()

Get move tag if it already exists.

Returns:
  boolean

#### setChangeLogCommandDateFormat

    public void setChangeLogCommandDateFormat​(java.lang.String changeLogCommandDateFormat)

Set date format allowed by changelog command.

Parameters:
  `changeLogCommandDateFormat` -

#### setCompressionLevel

    public void setCompressionLevel​(int compressionLevel)

Set sets the compression level on communications with the server? If you don't want to use compression, set it to 0.

Parameters:
  `compressionLevel` -

#### setCvsVariables

    public void setCvsVariables​(java.util.Properties cvsVariables)

Set this sets internal CVS variables.

Parameters:
  `cvsVariables` -

#### setModelEncoding

    public void setModelEncoding​(java.lang.String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setTemporaryFilesDirectory

    public void setTemporaryFilesDirectory​(java.lang.String temporaryFilesDirectory)

Set stores any temporary files in DIR instead of wherever CVS normally puts them (specifically, this overrides the value of the $TMPDIR environment variable, if any exists). It should be an absolute path.

Parameters:
  `temporaryFilesDirectory` -

#### setTraceCvsCommand

    public void setTraceCvsCommand​(boolean traceCvsCommand)

Set traces the execution of a CVS command.

Parameters:
  `traceCvsCommand` -

#### setUseCvsrc

    public void setUseCvsrc​(boolean useCvsrc)

Set do you want to use .cvsrc file?

Parameters:
  `useCvsrc` -

#### setUseForceTag

    public void setUseForceTag​(boolean useForceTag)

Set move tag if it already exists.

Parameters:
  `useForceTag` -